Check readiness for many datasets
curl --request POST \
--url https://api.withsplendor.com/v1/datasets/readiness \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-splendor-tenant-id: <x-splendor-tenant-id>' \
--data '
{
"dataset_ids": [
"<string>"
],
"dataset_prefix": "<string>",
"lifecycle_states": [
"<string>"
],
"statuses": [
"<string>"
]
}
'import requests
url = "https://api.withsplendor.com/v1/datasets/readiness"
payload = {
"dataset_ids": ["<string>"],
"dataset_prefix": "<string>",
"lifecycle_states": ["<string>"],
"statuses": ["<string>"]
}
headers = {
"x-splendor-tenant-id": "<x-splendor-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-splendor-tenant-id': '<x-splendor-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
dataset_ids: ['<string>'],
dataset_prefix: '<string>',
lifecycle_states: ['<string>'],
statuses: ['<string>']
})
};
fetch('https://api.withsplendor.com/v1/datasets/readiness', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datasets": [
{
"dataset_id": "app-logs",
"dataset_semantic_backlog_count": 0,
"document_semantic_backlog_count": 0,
"document_semantic_search_ready": true,
"documents": {
"expected": 1240000,
"index_committed": 1240000,
"parsed": 1240000,
"schema_observed": 1240000,
"semantic_embedded": 1240000,
"semantic_failed": 0,
"semantic_total": 1240000
},
"ingest_run_count": 3,
"lifecycle": {
"reasons": [],
"repairable": false,
"state": "ready"
},
"ready_for": {
"semantic_search": true,
"sql_search": true,
"text_search": true
},
"schema_ready": true,
"semantic_configured": true,
"semantic_failures": [],
"semantic_search_ready": true,
"status_counts": [
{
"count": 3,
"status": "ready"
}
],
"text_search_ready": true,
"vocabulary_semantic_backlog_count": 0,
"vocabulary_semantic_ready": true
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Datasets & schema
Check readiness for many datasets
Checks readiness for multiple datasets in one call, with optional filtering by status, lifecycle state, or identifier prefix. Use this to wait on a batch of datasets after ingesting.
POST
/
v1
/
datasets
/
readiness
Check readiness for many datasets
Authorizations
API token issued from the Splendor console.
Headers
Selects the tenant (workspace) the request acts within.
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
⌘I